com.dlsc.flexgantt.policy.layer

## Interface IPopupPolicy

- All Superinterfaces:
    IPolicy
  All Known Implementing Classes:
    DefaultPopupPolicy

      public interface IPopupPolicy
      extends IPolicy

  A policy that returns a popup object that can be used by some mechanism to display additional information about a timeline object or a tree node. A popup is similar to a tooltip but provides more details in various ways, not just as a short text. It also does not have a delay like a tooltip but shows up immediately.
  Since:
    1.0
  Version:
    $Revision: 1.9 $
  Author:
    Dirk Lemmermann
  See Also:
    `PopupLayer`, `IPopupRenderer`, `DefaultPopupRenderer`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getPopupTitleValue(IRelationship relationship, IGanttChartModel model)` Returns an object that can be utilized to provide a title for a popup for a relationship.
    `Object` | `getPopupTitleValue(TimelineObjectPath path, IGanttChartModel model)` Returns an object that can be utilized to provide a title for a popup of a timeline object.
    `Object` | `getPopupTitleValue(TreePath path, IGanttChartModel model)` Returns an object that can be utilized to provide a title for a popup for a node in the tree table.
    `Object` | `getPopupValue(IRelationship relationship, IGanttChartModel model, boolean extended)` Returns an object that can be utilized to provide some kind of popup for a relationship.
    `Object` | `getPopupValue(TimelineObjectPath path, IGanttChartModel model, boolean extended)` Returns an object that can be utilized to provide some kind of popup for a timeline object.
    `Object` | `getPopupValue(TreePath path, IGanttChartModel model, boolean extended)` Returns an object that can be utilized to provide some kind of popup for a node in the tree table.

- - ### Method Detail

    - #### getPopupValue

          Object getPopupValue(TimelineObjectPath path,
                               IGanttChartModel model,
                               boolean extended)

      Returns an object that can be utilized to provide some kind of popup for a timeline object.
      Parameters:
        `path` - the path to the timeline object for which to return a popup value
        `model` - the data source that returned the node and timeline object
        `extended` - a flag that signals whether the user wants to see the standard popup information or an extended version
      Returns:
        an arbitrary object that must be interpreted by the popup renderer in order to visualize something meaningful for the user
      Since:
        1.0

    - #### getPopupTitleValue

          Object getPopupTitleValue(TimelineObjectPath path,
                                    IGanttChartModel model)

      Returns an object that can be utilized to provide a title for a popup of a timeline object.
      Parameters:
        `path` - the path to the timeline object for which to return a popup title value
        `model` - the data source that returned the node and timeline object
      Returns:
        an arbitrary object that must be interpreted by the popup renderer in order to visualize something meaningful for the user
      Since:
        1.1

    - #### getPopupValue

          Object getPopupValue(TreePath path,
                               IGanttChartModel model,
                               boolean extended)

      Returns an object that can be utilized to provide some kind of popup for a node in the tree table.
      Parameters:
        `path` - the path to the tree node for which to return a popup object
        `model` - the data source that returned the node and timeline object
        `extended` - a flag that signals whether the user wants to see the standard popup information or the extended version
      Returns:
        an arbitrary object that must be interpreted by the popup renderer in order to visualize something meaningful for the user
      Since:
        1.0

    - #### getPopupTitleValue

          Object getPopupTitleValue(TreePath path,
                                    IGanttChartModel model)

      Returns an object that can be utilized to provide a title for a popup for a node in the tree table.
      Parameters:
        `path` - the path to the tree node for which to return a popup object
        `model` - the data source that returned the node and timeline object
      Returns:
        an arbitrary object that must be interpreted by the popup renderer in order to visualize something meaningful for the user
      Since:
        1.1

    - #### getPopupValue

          Object getPopupValue(IRelationship relationship,
                               IGanttChartModel model,
                               boolean extended)

      Returns an object that can be utilized to provide some kind of popup for a relationship.
      Parameters:
        `relationship` - the relationship for which to return a popup object
        `model` - the data source that returned the relationship
        `extended` - a flag that signals whether the user wants to see the standard popup information or the extended version
      Returns:
        an arbitrary object that must be interpreted by the popup renderer in order to visualize something meaningful for the user
      Since:
        2.0

    - #### getPopupTitleValue

          Object getPopupTitleValue(IRelationship relationship,
                                    IGanttChartModel model)

      Returns an object that can be utilized to provide a title for a popup for a relationship.
      Parameters:
        `relationship` - the relationship for which to return a popup object
        `model` - the data source that returned the relationship
      Returns:
        an arbitrary object that must be interpreted by the popup renderer in order to visualize something meaningful for the user
      Since:
        2.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.